<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'
import { type Product } from '@/types/Product'

const receiptStore = useReceiptStore()
const props = defineProps<{
  product: Product
}>()

const emit = defineEmits<{
  selectedProduct: [Product] // selectedProduct(Product p)
}>()

const selected = function (p: Product) {
  console.log('ProductCard ' + props.product)
  emit('selectedProduct', props.product)
}
</script>

<template>
  <v-card width="180" height="175" elevation="3" @click="selected">
    <v-img
      :src="'http://localhost:4000/images/products/' + props.product.image"
      height="120"
      cover
    ></v-img>
    <div style="text-align: center" class="font">
      {{ product.name }} <br />
      {{ product.price }} บาท
    </div>
  </v-card>
</template>
<style>
font {
  font-family: 'Kanit';
}
</style>
